PDA

View Full Version : New to plugin and to VS Code - how I configure it?



ssamayoa
1 Feb 2017, 2:32 PM
Hi,

After successful installation of the plugg-in in VSCode I got a message saying that I need cmd 6 or better so in VSCode command palette I sought for "extjs" then select "Edit Ext JS IntelliSense configuration" but I got the error message "Path must be a string. Received undefined". Each time I tried no luck.

Do I have to have cmd 6+ in PATH?

Environment:

VSCode 1.8.1
OSX Sierra
VSCode pluing 1.0.1

I have several cmd installed because Architect 3.x & 4.x, currently 5.x on PATH because an old Touch project I'm working on.

Regards.

petr.vecera
15 Feb 2017, 3:18 PM
Hi

The Cmd is not necessary for the plugin to work (it's there only for extra functions)
http://docs.sencha.com/ide_plugins/guides/visual_studio_code_ide_plugin.html#visual_studio_code_ide_plugin_-_requirements

There should not be need to edit IntelliSense config in your app as long as you have "standard" ExtJS app, everything should work out of the box when you open your project.

When you open your project folder you should see indexing in the status bar. Once it's finished the IntelliSense should work in your app files.

But it's possible that plugin is detecting Cmd and is trying to do something which ultimately fails cos of version 5. You can try to switch PATH to use Cmd 6.2.1

Regards
Petr